classification
Title: dir() on traceback objects returns an empty list
Type: Stage:
Components: Interpreter Core Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: collinwinter, nnorwitz
Priority: normal Keywords:

Created on 2007-08-12 02:25 by collinwinter, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
tb_dir.patch collinwinter, 2007-08-12 02:25
Messages (3)
msg32625 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-08-12 02:25
The current status of the py3k branch is that calling dir() on a traceback object does not produce the expected results: a 4-element list of the tb_* attributes. The attached patch restores this behaviour and adds a regression test to test_builtins.
msg32626 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2007-08-12 02:34
I was the one that broke this when I removed __members__ and __methods__.  I was hoping we could get rid of the getattr.  See the XXX comment near the top of the file.  If that can't be removed this patch should at least by applied.
msg32627 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-08-14 17:54
Submitted as r57028.
History
Date User Action Args
2008-01-06 22:29:46adminsetkeywords: - py3k
versions: + Python 3.0
2007-08-12 02:25:39collinwintercreate